<?php

$idConsultar = "3101830580";

//Parámetros de autorización para acceder al API
$usuario = '603640114';
$token   = 'pXNhvC8pUaM3HBsrULYK';


$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.hacienda.go.cr/fe/mifacturacorreo?identificacion='.$idConsultar,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'access-user: '.$usuario,
    'access-token: '.$token
  ),
));

$response = curl_exec($curl);

curl_close($curl);
//echo $response;

$data = json_decode($response, true);

$idResultado     = $data["Resultado"]["Identificacion"];
$tipoIdResultado = $data["Resultado"]["TipoIdentificacion"];
$nombreResultado = $data["Resultado"]["Nombre"];

echo $idResultado."<br />";
echo $tipoIdResultado."<br />";
echo $nombreResultado."<br />";
// Correos 
foreach ($data["Resultado"]["Correos"] as $key => $value) {
  echo $value["Correo"];
}